Gst::ValueList Class Reference

Inherits ValueBase.

## Public Member Functions

| ValueList ()
| Default constructor. More...
guint | size () const
bool | get (guint index, Glib::ValueBase& value) const
Gst::ValueList& | append (const Glib::ValueBase& value)
Gst::ValueList& | prepend (const Glib::ValueBase& value)

## Static Public Member Functions

static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system. More...

## Constructor & Destructor Documentation

Gst::ValueList::ValueList | ( |  | ) |

Default constructor.

## Member Function Documentation

Gst::ValueList& Gst::ValueList::append | ( | const Glib::ValueBase & | value | ) |

bool Gst::ValueList::get | ( | guint | index,
|  | Glib::ValueBase & | value
| ) |  | const

static GType Gst::ValueList::get_type | ( |  | ) |

static

Get the GType for this class, for use with the underlying GObject type system.

Gst::ValueList& Gst::ValueList::prepend | ( | const Glib::ValueBase & | value | ) |

guint Gst::ValueList::size | ( |  | ) | const

The documentation for this class was generated from the following file:

- gstreamermm/valuelist.h